Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000437 [SkyOS 5.0 - Beta] crash always 2004-12-30 22:55 2005-04-01 09:32
Reporter strestout_bugs View Status public  
Assigned To
Priority normal Resolution open  
Status closed  
Summary 0000437: ZSNES crashes on startup
Description ZSNES crashes on startup. I have included the text from the debug file under Additional Information.
Additional Information SkyOS v5.0.0-beta 8.2 is booting...
bootpara.c: Kernel options: /kernel.sys /debug /debugport=1
Memory summary:
memory.c: Found 186MB memory.
memory.c: init paging...
memory.c: Using 184MB (192937984 byte)
memory.c: Page tables at 0x0024E000
memory.c: Init memory map manager...
memory.c: Useable memory starts at 003ED000. MemoryMap at 0027D000
memory.c: 184384k free. 188416k available
memory.c: 632k kernel code, 200k data, 1024k reserved
memory.c: Init kernel memory allocation interface...
memory.c: init memory interface...
memory.c: init memory interface done.
main.c: Protecting kernel code from bad referenced pointers...
main.c: Kernel code region from 80100000 to 8019E000
main.c: Protection enabled for 158 pages
main.c: Initializing resource manager...
perfman.c: Initializing performance measure points....
uart.c: Detecting serial ports...
debugger.c: Opening device /dev/ser1 for debug output
uart.c: /dev/ser0: Opened with 56700
sched.c: Initializing multitasking environment...
         Using HardRealTime SchedulerClass.
sched.c: Timer set to 100Hz
boot.c: BootScreenInitialize...
boot.c: Initialize fail-safe VGA driver...
boot.c: Initialize VESA2.0 ...
boot.c: Initialize SkyGI ...
skygi.c: Initializeing software driver...
skygi.c: Software driver opened
boot.c: Initialize VESA mode...
skygi.c: Merge Software/Primary driver data
vesa.c: Init
call real mode
call real mode done
vesa.c: Mode Request
vesa.c: VideoModePtr located at C0005FA9 (Seg: 0xC000 Off: 0x5FA9). Phys: 0x000C5FA9
vesa.c: mode 0x0120 available.
vesa.c: mode 0x0121 available.
vesa.c: mode 0x0122 available.
vesa.c: mode 0x0123 available.
vesa.c: mode 0x0124 available.
vesa.c: mode 0x0125 available.
vesa.c: mode 0x0126 available.
vesa.c: mode 0x0127 available.
vesa.c: mode 0x0128 available.
vesa.c: mode 0x0129 available.
vesa.c: mode 0x012A available.
vesa.c: mode 0x012B available.
vesa.c: mode 0x012C available.
vesa.c: mode 0x012D available.
vesa.c: mode 0x012E available.
vesa.c: mode 0x012F available.
vesa.c: mode 0x0130 available.
vesa.c: mode 0x0131 available.
vesa.c: mode 0x0132 available.
vesa.c: mode 0x0133 available.
vesa.c: mode 0x0134 available.
vesa.c: mode 0x0135 available.
vesa.c: mode 0x0136 available.
vesa.c: mode 0x0137 available.
vesa.c: mode 0x0138 available.
vesa.c: mode 0x0139 available.
vesa.c: mode 0x013A available.
vesa.c: mode 0x013B available.
vesa.c: mode 0x013C available.
vesa.c: mode 0x013D available.
vesa.c: mode 0x013E available.
vesa.c: mode 0x013F available.
vesa.c: mode 0x0140 available.
vesa.c: mode 0x0141 available.
vesa.c: mode 0x0142 available.
vesa.c: mode 0x0143 available.
vesa.c: mode 0x0144 available.
vesa.c: mode 0x0145 available.
vesa.c: mode 0x0146 available.
vesa.c: mode 0x0147 available.
vesa.c: mode 0x0148 available.
vesa.c: mode 0x0149 available.
vesa.c: mode 0x0100 available.
vesa.c: mode 0x0101 available.
vesa.c: mode 0x0103 available.
vesa.c: mode 0x0105 available.
vesa.c: mode 0x0107 available.
vesa.c: mode 0x010E available.
vesa.c: mode 0x0111 available.
vesa.c: mode 0x0114 available.
vesa.c: mode 0x0117 available.
vesa.c: mode 0x011A available.
vesa.c: Mode 0x0120x with 320/200 at 8 supported (LFB)
vesa.c: Mode 0x0121x with 320/400 at 8 supported (LFB)
vesa.c: Mode 0x0122x with 640/400 at 8 supported (LFB)
vesa.c: Mode 0x0123x with 640/480 at 8 supported (LFB)
vesa.c: Mode 0x0124x with 800/600 at 8 supported (LFB)
vesa.c: Mode 0x0125x with 1024/768 at 8 supported (LFB)
vesa.c: Mode 0x0126x with 1152/864 at 8 supported (LFB)
vesa.c: Mode 0x0127x with 1280/960 at 8 supported (LFB)
vesa.c: Mode 0x0128x with 1280/1024 at 8 supported (LFB)
vesa.c: Mode 0x0129x with 1400/1050 at 8 supported (LFB)
vesa.c: Mode 0x012Ax with 1600/1200 at 8 supported (LFB)
vesa.c: Mode 0x012Bx with 1792/1344 at 8 supported (LFB)
vesa.c: Mode 0x012Cx with 1856/1392 at 8 supported (LFB)
vesa.c: Mode 0x012Dx with 1920/1440 at 8 supported (LFB)
vesa.c: Mode 0x012Ex with 320/200 at 16 supported (LFB)
vesa.c: Mode 0x012Fx with 320/400 at 16 supported (LFB)
vesa.c: Mode 0x0130x with 640/400 at 16 supported (LFB)
vesa.c: Mode 0x0131x with 640/480 at 16 supported (LFB)
vesa.c: Mode 0x0132x with 800/600 at 16 supported (LFB)
vesa.c: Mode 0x0133x with 1024/768 at 16 supported (LFB)
vesa.c: Mode 0x0134x with 1152/864 at 16 supported (LFB)
vesa.c: Mode 0x0135x with 1280/960 at 16 supported (LFB)
vesa.c: Mode 0x0136x with 1280/1024 at 16 supported (LFB)
vesa.c: Mode 0x0137x with 1400/1050 at 16 supported (LFB)
vesa.c: Mode 0x0138x with 1600/1200 at 16 supported (LFB)
vesa.c: Mode 0x0139x with 1792/1344 at 16 supported (LFB)
vesa.c: Mode 0x013Ax with 1856/1392 at 16 supported (LFB)
vesa.c: Mode 0x013Bx with 1920/1440 at 16 supported (LFB)
vesa.c: Mode 0x013Cx with 320/200 at 32 supported (LFB)
vesa.c: Mode 0x013Dx with 320/400 at 32 supported (LFB)
vesa.c: Mode 0x013Ex with 640/400 at 32 supported (LFB)
vesa.c: Mode 0x013Fx with 640/480 at 32 supported (LFB)
vesa.c: Mode 0x0140x with 800/600 at 32 supported (LFB)
vesa.c: Mode 0x0141x with 1024/768 at 32 supported (LFB)
vesa.c: Mode 0x0142x with 1152/864 at 32 supported (LFB)
vesa.c: Mode 0x0143x with 1280/960 at 32 supported (LFB)
vesa.c: Mode 0x0144x with 1280/1024 at 32 supported (LFB)
vesa.c: Mode 0x0145x with 1400/1050 at 32 supported (LFB)
vesa.c: Mode 0x0146x with 1600/1200 at 32 supported (LFB)
vesa.c: Mode 0x0147x with 1792/1344 at 32 supported (LFB)
vesa.c: Mode 0x0148x with 1856/1392 at 32 supported (LFB)
vesa.c: Mode 0x0149x with 1920/1440 at 32 supported (LFB)
vesa.c: Mode 0x0100x with 640/400 at 8 supported (LFB)
vesa.c: Mode 0x0101x with 640/480 at 8 supported (LFB)
vesa.c: Mode 0x0103x with 800/600 at 8 supported (LFB)
vesa.c: Mode 0x0105x with 1024/768 at 8 supported (LFB)
vesa.c: Mode 0x0107x with 1280/1024 at 8 supported (LFB)
vesa.c: Mode 0x010Ex with 320/200 at 16 supported (LFB)
vesa.c: Mode 0x0111x with 640/480 at 16 supported (LFB)
vesa.c: Mode 0x0114x with 800/600 at 16 supported (LFB)
vesa.c: Mode 0x0117x with 1024/768 at 16 supported (LFB)
vesa.c: Mode 0x011Ax with 1280/1024 at 16 supported (LFB)
vesa.c: Set Mode
vesa.c: Mode not available
skygi.c: Unable to set mode 640/480/24bpp for driver /dev/GFX_VESA
skygi.c: Merge Software/Primary driver data
vesa.c: Init
vesa.c: Mode Request
vesa.c: Set Mode
RF: 16
GF: 8
BF: 0
RM: 8
GM: 8
BM: 8
vesa.c: LFB at f0000000
vesa.c: Screen is 640/480 at 32 bpp
vesa.c: lfb virtual at 0x0C000000. Size: 0x0012CA00
vesa.c: Enable MTRR for 0xF0000000. Size: 0x0012CA00
skygi.c: New graphic mode initialized
         Driver : /dev/GFX_VESA
         Resolution : 640/480 640/480 32 with 60 HZ
         Framebuffer: 0x0C000000
boot.c: BootScreen Initialized at 640x480x32bpp
bootlogo.c: Parsing bootimage...
66 77 8 1
66 77 8 0
bootlog.c: Bootimage loaded. Displaying...
SKY Operating System v5.0.0-beta 8.2 is booting...
Copyright (c) 1996 - 2002 by Szeleney Robert
Build: Oct 10 2004 / 10:40:51 Kernel Version: v5.0.0-beta 8.2
For more information or download see http://www.skyos.org [^]
 
Used bootloader: GRUB
Used bootoptions: /kernel.sys /debug /debugport=1
CPU Cache: Enabled (8005003B)
debugger.c: Kernel debugger uses serial device /dev/ser1
            115200,8,n
done
pc.c: cpu is a GenuineIntel
      model is a Pentium III Coppermine
      stepping : 8
      cache size: 0 KB
      stepping : unknown
      cpuid lev.: 2
      flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 mmx osfxsr 25
tsccounter: 004164EB
new device
new device done
new device done 1002168222
main.c: CPU0 runs at 1002MHZ (1002 cycles per usec)
Memory detected: 192937984 / (184 MB)
32Bit Protected Mode, Virtual Memory, Interrupts and Paging activated
Kernel code is 632KB and uses 197KB intialized data
379488KB non-initialized data. BSS end at 0x0024CA60
main.c: System with ISA bus detected.
init cache
main.c: Initializing scheduler...
main.c: Enabling Interrupts...
main.c: Interrupts enabled...
pcisub.c: Scanning PCI-BUS. Bus: 0
pci.c: 8086:7190
pci.c: 8086:7191
pcisub.c: Scanning PCI-BUS. Bus: 1
pci.c: 8086:7110
pci.c: 8086:7111
pci.c: 8086:7113
pci.c: 15AD:0405
pci.c: 104B:1040
pci.c: 1022:2000
pci.c: 1274:1371
main.c: Enabling keyboard...
keyboard.c: Initializing keyboard...
keyboard.c: Keyboard driver installed.
fdd.c: Initializing Floppy device...
fdd.c: Dmabuffer is at ffe018
fdd.c: FDC version 0x81
fdd.c: enhanced controller found.
atainit.c: Found ATA/IDE PCI controller (8086:7111)
           PCI controller runs with compatibility mode at 0x1F0
           Primary : Base: 0x1f0, IRQ: 14, DMA: 00001050
           PCI controller runs with compatibility mode at 0x1F0
           Secondary: Base: 0x170, IRQ: 15, DMA: 00001058
ideinit.c: Allocating DMA transfer block and buffer
atainit.c: DMA Primary 0B544000 0B544000 00000800
atainit.c: DMA Secondary 0B541000 0B541000 00000800
resource.c: IO/Ports already in use. (00001050 - 0000105F). Requested: (00001058 - 00001067)
ata.c: Detecting and initializing ATA/ATAPI devices...
ide.c: Secondary/Slave not present
ata.c: Examining Master-Primary
ata.c: Examining Master-Slave
ata.c: Examining Secondary-Primary
ata.c: ATA device connected at Master-Primary (PIO4)
ata.c: ATAPI device connected at Master-Slave (PIO4)
ata.c: ATAPI device connected at Secondary-Primary (PIO4)
ata.c: No device connected at Secondary-Slave
hd.c: New device: /dev/hd0 using /dev/ide0 0 - 8388608, Unknown(0) (4096 MB)
part.c: Valid partition (0): 63 - 8386623 (Type: 236)
hd.c: Detected partitions: 4
hd.c: New device: /dev/hd0a using /dev/ide0 63 - 8386623, SkyFS(0) (4095 MB)
hd.c: New device: /dev/cd1 using /dev/atapi1 0 - 0, Unknown(0) (0 MB)
hd.c: Error while probing partitions on device /dev/cd1
hd.c: New device: /dev/cd2 using /dev/atapi2 0 - 0, Unknown(0) (0 MB)
hd.c: Error while probing partitions on device /dev/cd2
vfs.c: Initializing virtual filesystem...
       Initializing VNode Cache SubSystem..
rootfs: Initializing rootfs.
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol rootfs
mount.c: Mounted device to rootfs
mount.c: New mount entry at 0x00FC6018:
         SubFS : rootfs
         MountPoint: /
         Device :
         Mountnode : 00FC6018
skyfs.c: Initializing SkyFS
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol skyfs
fat.c: Initializing FAT-FS.
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol fat
sysintfs: Initializing sysintfs. (read only)
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol sysintfs
mount.c: Mounted device to sysintfs
mount.c: New mount entry at 0x00FC4018:
         SubFS : sysintfs
         MountPoint: /systeminterface
         Device :
         Mountnode : 00FC4018
CDFS.c: Initializing CDFS (ISO9660)... (read only) 143770
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol cdfs
environ.c: Initializing environment tree...
module.c: Initializing module manager...
module.c: Module manager initialized.
swap.c: Initializing swapper...
main.c: Switching to SkyGI WM...
gitask.c: critical section at 0
gitask.c: Task for SkyGI at b45c018
automnt.c: Automounting disk devices...
atapi.c: No medium in ATAPI device.
hc.c: Device is not ready.
automnt.c: Check /dev/cd2 using cdfs for bootdevice...
iso9660.c: Mounting device...
buffer.c: Add device to cache subsystem.
buffer.c: Success
iso9660.c: dc size is 2048
iso9660.c: Volume is formatted with CDFS
iso9660.c: Volume size is 272MB
iso9660.c: Pathtable size is 1222
iso9660.c: Pathtable start at: 113
mount.c: Mounted device to cdfs
mount.c: New mount entry at 0x0B45A018:
         SubFS : cdfs
         MountPoint: /automnt
         Device : /dev/cd2
         Mountnode : 0B45A018
automnt.c: Mount /dev/cd2 as bootdevice to /boot
unmoung: /dev/cd2
iso9660.c: Unlocking device...
remove device
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd2 0 5 0
buffer.c: Remove device from cache subsystem.
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd2 0 5 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd2 0 0 0
iso9660.c: Mounting device...
buffer.c: Add device to cache subsystem.
buffer.c: Success
iso9660.c: dc size is 2048
iso9660.c: Volume is formatted with CDFS
iso9660.c: Volume size is 272MB
iso9660.c: Pathtable size is 1222
iso9660.c: Pathtable start at: 113
mount.c: Mounted device to cdfs
mount.c: New mount entry at 0x0B454018:
         SubFS : cdfs
         MountPoint: /boot
         Device : /dev/cd2
         Mountnode : 0B454018
atapi.c: No medium in ATAPI device.
hc.c: Device is not ready.
fatfs.c: Mount FAT filesystem...
buffer.c: Add device to cache subsystem.
buffer.c: Success
fatfs.c: BytePerSector 0 not supported.
remove device
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 0 0
/dev/cd2 0 2 0
buffer.c: Remove device from cache subsystem.
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 0 0
/dev/cd2 0 2 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 0 0
/dev/cd2 0 2 0
iso9660.c: Mounting device...
iso9660.c: Unable to mount cdfs to non 2048-blocksize device.
mount 0B4492BC
disk_super_block:
  magic1 = 0x534b5931 (SKY1) valid
  fs_byte_order = 0x42494745 (BIGE)
  block_size = 2048
  block_shift = 11
  num_blocks = 2096640
  used_blocks = 198577
  inode_size = 2048
  magic2 = 0x33551214 (3U..) valid
  blocks_per_ag = 4
  ag_shift = 16 (8452585832906752 bytes)
  num_ags = 32
  flags = 0x434c454e (CLEN)
  log_blocks = (1103806595072, 2048, 189030424)
  log_start = 1920
  log_end = 1920
  magic3 = 0x12149977 (...w) valid
  bootloadersize = 128
  root_dir = (8, 1, 189030424)
  indices = (9899899617280, 1, 189030424)
disk_super_block:
  magic1 = 0x534b5931 (SKY1) valid
  fs_byte_order = 0x42494745 (BIGE)
  block_size = 2048
  block_shift = 11
  num_blocks = 2096640
  used_blocks = 198577
  inode_size = 2048
  magic2 = 0x33551214 (3U..) valid
  blocks_per_ag = 4
  ag_shift = 16 (8452585832906752 bytes)
  num_ags = 32
  flags = 0x434c454e (CLEN)
  log_blocks = (1103806595072, 2048, 189030424)
  log_start = 1920
  log_end = 1920
  magic3 = 0x12149977 (...w) valid
  bootloadersize = 128
  root_dir = (8, 1, 189030424)
  indices = (9899899617280, 1, 189030424)
buffer.c: Add device to cache subsystem.
buffer.c: Success
Check for 2305 reserved blocks.
skyfs.c: Mounted skyfs (0B449410, 0B446018)
         RootVnode: 524288
mount.c: Mounted device to skyfs
mount.c: New mount entry at 0x0B446018:
         SubFS : skyfs
         MountPoint: /skyfs0
         Device : /dev/hd0a
         Mountnode : 0B446018
Loading registry....
Registry not found
trap.c: Multiple interrupts disabled
ps2mouse.c: Initializing PS2 mouse..
ps2mouse.c: Ok
newgui.c: Keyboard driver opened
mouse.c: Unable to open com port 1. No Microsoft compatible mouse found
uart.c: /dev/ser1: Opened with 56700
mouse.c: searching at /dev/ser2
mouse.c: No Microsoft compatible mouse found
newgui.c: Input driver opened
gitask.c: Loading kernel symbols...
except.c: Fd is 3
usb.c: Initializing USB stack...
155221102:Initializing USB stack...
uhci.c: Detecting UHCI...
gitask.c: Loading init application....
155224357: setup.app: main.c: Change cursor 0 20 20 0 0
155224364: setup.app: main.c: Change cursor 7 20 20 3 8
155224372: setup.app: main.c: Change cursor 8 20 20 6 6
155224379: setup.app: main.c: Change cursor 9 20 20 6 6
155224385: setup.app: main.c: Change cursor 10 20 20 3 8
155224393: setup.app: main.c: Change cursor 11 20 20 6 6
155224402: setup.app: main.c: Change cursor 12 20 20 6 6
155224410: setup.app: main.c: Change cursor 13 20 20 9 3
155224418: setup.app: main.c: Change cursor 14 20 20 9 3
155224424: setup.app: main.c: Change cursor 5 20 20 5 8
155224432: setup.app: main.c: Change cursor 4 20 20 9 9
155224440: setup.app: main.c: Change cursor 3 20 20 0 0
155224442: setup.app: Apply keyboard mapping /boot/system/settings/keyboard/enus.txt
155224501: setup.app: keyboard.c: Warning! Keymap doesn't have DeadKeys
155224601: setup.app: Setup: Loading driver...
skygi.c: Merge Software/Primary driver data
vesa.c: Init
vesa.c: Mode Request
vesa.c: Set Mode
RF: 16
GF: 8
BF: 0
RM: 8
GM: 8
BM: 8
vesa.c: LFB at f0000000
vesa.c: Screen is 640/480 at 32 bpp
vesa.c: lfb virtual at 0x0C000000. Size: 0x0012CA00
vesa.c: Enable MTRR for 0xF0000000. Size: 0x0012CA00
skygi.c: New graphic mode initialized
         Driver : /dev/GFX_VESA
         Resolution : 640/480 640/480 32 with 60 HZ
         Framebuffer: 0x0C000000
gigfx.c: Primary driver:
          Framebuffer: 0C000000
          Dimension : 640x480x32
ac97.c: AC97 Codec driver installed.
Initializing tcpip module... 3ff8f4
Directory created...
ip.c: Initializing Internet Protocol...
udp.c: Initializing UDP Protocol...
tcp.c: Initializing TCP Protocol...
netif at 0C5944CC
amdpcnet.c: Initializing....
amdpcnet.c: AmdPCNet Ethernet card detected at 0x1080. IRQ: 10
amdpcnet.c: PCnet / PCI II 79C970A
bfs.c: Initializing bfs
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol bfs
devicefs: Initializing devicefs. (read only)
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol devicefs
mount.c: Mounted device to devicefs
mount.c: New mount entry at 0x00D06018:
         SubFS : devicefs
         MountPoint: /dev
         Device :
         Mountnode : 00D06018
emu1k.c: Initializing...
es1371.c: Initializing ES1371...
es1371.c: found chip, vendor id 0x1274 device id 0x1371 revision 0x02
es1371.c: irq: 9, Handler: 0C678000
es1371.c: found es1371 rev 02 at io 0x00001400 irq 9
 features: joystick 0x0
AC97DetectCodec: AC97 codec found. Type: Unknown, Vendor: Cirrus Logic CS4297A rev A (435204/591304)
set 0 00004343
set 4 00004343
set 5 00004343
set 6 00004343
set 7 00001111
set 8 00004343
set 12 00004343
set 14 00004343
set 20 00004343
set 21 00004343
set 22 00004343
es1371.c: ES1371 device found
FFS.c: Initializing Fifo filesystem
FFS.c: memseting
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol fifofs
mount.c: Mounted device to fifofs
mount.c: New mount entry at 0x00CEE018:
         SubFS : fifofs
         MountPoint: /fifo
         Device :
         Mountnode : 00CEE018
lo.c: Initializing loopback device
155226719:Detecting Ati graphic card...
ati.c: Failed to init driver..
i386pe.c: Failed to initialize kernel module
nvidia.c: Initializing nvidia module...
155226889:Detecting NVidia graphic card...
155226889:No supported NVidia graphic card detected.
nvidia.c: Unable to init device..
i386pe.c: Failed to initialize kernel module
ppp.c: Initializing....
pty.c: Initializing pty filesystem
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol pty
mount.c: Mounted device to pty
mount.c: New mount entry at 0x0A1B6018:
         SubFS : pty
         MountPoint: /pty
         Device :
         Mountnode : 0A1B6018
155227066:No ATI Radeon graphic card found.
155227068:No ATI Radeon cards found.
rtl8139.c: Initializing....
rtl8139.c: no RTL8129/8139 Ethernet controller found
i386pe.c: Failed to initialize kernel module
sb.c: Initializing Soundblaster.
slip.c: Initializing....
UMFS.c: Initializing usermode filesystem
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol umfs
mount.c: Mounted device to umfs
mount.c: New mount entry at 0x0A0CA018:
         SubFS : umfs
         MountPoint: /umfs
         Device :
         Mountnode : 0A0CA018
here in vfs
vfs.c: Initialiting vfsdev filesystem driver
       Copyright (c) 2002 by Robert Szeleney
here in vfs
here in vfs
here in vfs
here in vfs
via82xx.c: Initializing...
via.c: Initializing....
via.c: no via Ethernet controller found
i386pe.c: Failed to initialize kernel module
current 001F06C4
current 0A4C4018
current: setup.app_t15_load
155227440:Detecting vmware graphic card...
155227440:Detected a Vmware SVGA2 graphic card
155227442:IOBase 0x00001440 - 0x00001450.
155227444:Vmware chip version 2 detected.
155227446:Video depth / bpp : 24/32
155227448:Max Width/Height : 2360/1770
155227449:Video Ram/Membase : 0x01000000/0xF0000000
155227449:Host BPP : 32
get string
get dir /boot
device found
gimsg.c: Received signal while waiting for message
bootlogo.c: Bootimage freed
memory.c: Memory summary for task BootAct
memory.c: ===========================================
memory.c: Freed page tables : 0 (0 KB)
memory.c: Freed heap pages : 0 (0 KB)
memory.c: Freed/Still used rw data : 0KB / 0KB
memory.c: Freed stack pages : 0 (0 KB)
memory.c: Still used heap pages : 0 (0 KB)
memory.c: Still used user pages : 0 (0 KB)
memory.c: Free memory : 152284 KB
memory.c: Memory summary end.
155236997: setup.app: Apply keyboard mapping /boot/system/settings/keyboard/enus.txt
155237027: setup.app: keyboard.c: Warning! Keymap doesn't have DeadKeys
gimsg.c: Received signal while waiting for message
gimsg.c: Received signal while waiting for message
gimsg.c: Received signal while waiting for message
gimsg.c: Received signal while waiting for message
155241644: setup.app: Switching to step 4
unmoung: /boot
iso9660.c: Unlocking device...
remove device
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
        Locked: 524288 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
        Locked: 2305 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
/dev/hd0a 0 130 2
/dev/cd2 0 2467 0
buffer.c: Remove device from cache subsystem.
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
        Locked: 524288 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
        Locked: 2305 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
/dev/hd0a 0 130 2
/dev/cd2 0 2467 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
        Locked: 524288 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
        Locked: 2305 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
/dev/hd0a 0 130 2
/dev/cd2 0 0 0
155244000: setup.app: Try to mount device /dev/hd0a. / 9.
unmoung: /dev/hd0a
skyfs: umount...
free journal
free indices
free cached blocks
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 130 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 130 0
done
remove device
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 130 0
buffer.c: Remove device from cache subsystem.
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 130 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 0 0
skyfs: unmount done.
mount 0B4494B8
disk_super_block:
  magic1 = 0x534b5931 (SKY1) valid
  fs_byte_order = 0x42494745 (BIGE)
  block_size = 2048
  block_shift = 11
  num_blocks = 2096640
  used_blocks = 198577
  inode_size = 2048
  magic2 = 0x33551214 (3U..) valid
  blocks_per_ag = 4
  ag_shift = 16 (8452585832906752 bytes)
  num_ags = 32
  flags = 0x434c454e (CLEN)
  log_blocks = (1103806595072, 2048, 189022232)
  log_start = 1920
  log_end = 1920
  magic3 = 0x12149977 (...w) valid
  bootloadersize = 128
  root_dir = (8, 1, 189022232)
  indices = (9899899617280, 1, 189022232)
disk_super_block:
  magic1 = 0x534b5931 (SKY1) valid
  fs_byte_order = 0x42494745 (BIGE)
  block_size = 2048
  block_shift = 11
  num_blocks = 2096640
  used_blocks = 198577
  inode_size = 2048
  magic2 = 0x33551214 (3U..) valid
  blocks_per_ag = 4
  ag_shift = 16 (8452585832906752 bytes)
  num_ags = 32
  flags = 0x434c454e (CLEN)
  log_blocks = (1103806595072, 2048, 189022232)
  log_start = 1920
  log_end = 1920
  magic3 = 0x12149977 (...w) valid
  bootloadersize = 128
  root_dir = (8, 1, 189022232)
  indices = (9899899617280, 1, 189022232)
buffer.c: Add device to cache subsystem.
buffer.c: Success
Check for 2305 reserved blocks.
skyfs.c: Mounted skyfs (0A9DBA04, 0B444018)
         RootVnode: 524288
mount.c: Mounted device to skyfs
mount.c: New mount entry at 0x0B444018:
         SubFS : skyfs
         MountPoint: /boot
         Device : /dev/hd0a
         Mountnode : 0B444018
Loading registry....
gitask.c: 32BitMouseState changed by user.
ata.c: User changed PIO status per registry.
ata.c: User changed PIO status per registry.
ata.c: User changed PIO status per registry.
gimsg.c: Received signal while waiting for message
155244388: setup.app: Switching to step 10
netdev look /dev/net_lo
netdev found /dev/net_amdpcnet
netdev found /dev/net_lo
netdev look /dev/net_lo
netdev found /dev/net_amdpcnet
netdev found /dev/net_lo
netdev look /dev/net_lo
netdev found /dev/net_amdpcnet
netdev found /dev/net_lo
netdev look /dev/net_lo
netdev found /dev/net_amdpcnet
netdev found /dev/net_lo
netdev look /dev/net_amdpcnet
netdev found /dev/net_amdpcnet
155244632: setup.app_t24: Apply keyboard mapping /boot/system/settings/keyboard/enus.txt
dhcpc.app: Querying DHCP server. Please wait...
155244642: dhcpc.app: dhcp.c: Start DHCP Client...
netdev look /dev/net_amdpcnet
netdev found /dev/net_amdpcnet
netdev look /dev/net_amdpcnet
netdev found /dev/net_amdpcnet
netdev look /dev/net_amdpcnet
netdev found /dev/net_amdpcnet
netdev look /dev/net_amdpcnet
netdev found /dev/net_amdpcnet
udpsock.c: Bind to 00000000/00004400
155244771: setup.app_t24: keyboard.c: Warning! Keymap doesn't have DeadKeys
skygi.c: Merge Software/Primary driver data
vesa.c: Init
vesa.c: Mode Request
vesa.c: Set Mode
RF: 16
GF: 8
BF: 0
RM: 8
GM: 8
BM: 8
vesa.c: LFB at f0000000
vesa.c: Screen is 1024/768 at 32 bpp
vesa.c: lfb virtual at 0x0C96D000. Size: 0x00301000
vesa.c: Enable MTRR for 0xF0000000. Size: 0x00301000
skygi.c: New graphic mode initialized
         Driver : /dev/GFX_VESA
         Resolution : 1024/768 1024/768 32 with 60 HZ
         Framebuffer: 0x0C96D000
gigfx.c: Primary driver:
          Framebuffer: 0C96D000
          Dimension : 1024x768x32
155245435: setup.app: Switching to step 1
gimsg.c: Received signal while waiting for message
udpsock.c: No route to autobind udp socket.
udpsock.c: Autobound udp socket.
udp bind to 0.0.0.0:68
udpsock.c: lookup...
0.0.0.0:68 ==>
bind done
udpsock.c: Bind socket to device /dev/net_amdpcnet
netdev look /dev/net_amdgiwm.c: Destroy desktop
giwm.c: Destrpcnet
netdev found /dev/net_amdpcnet
oy desktop done.
critical.c: remove user create critical section
critical.c: remove user create critical section
critical.c: remove user create critical section
memory.c: Memory summary for task setup.app
memory.c: ===========================================
memory.c: Freed page tables : 13 (52 KB)
memory.c: Freed heap pages : 1039 (4156 KB)
memory.c: Freed/Still used rw data : 12KB / 2KB
memory.c: Freed stack pages : 0 (0 KB)
memory.c: Still used heap pages : -379 (-1552384 KB)
memory.c: Still used user pages : -393 (-1609728 KB)
memory.c: Free memory : 167772 KB
memory.c: Memory summary end.
155248066: dhcpc.app: dhcp.c: Sending DISCOVER...
UDP sendto...
netdev look /dev/net_amdpcnet
netdev found /dev/net_amdpcnet
udp.c: Use bound device
Use NIF: /dev/net_amdpcnet
155248076: dhcpc.app: dhcp.c: Wait for packet...
155248080: dhcpc.app: dhcp.c: Wait for packet...
155248082: dhcpc.app: dhcp.c: Wait for packet...
155248084: dhcpc.app: dhcp.c: Wait for packet...
0.0.0.0:68 ==>
<== 0.0.0.0:68
buffer: 407798, len: 548
buffer: ae50414, len: 548 size: 548
udpsock.c: free data
155248094: dhcpc.app: dhcp.c: Get DHCP_OFFER
155248096: dhcpc.app: dhcp.c: DHCP Offer:
155248097: dhcpc.app: dhcp.c: Client IP : 192.168.0.102
155248100: dhcpc.app: dhcp.c: Subnetmask : 255.255.255.0
155248102: dhcpc.app: dhcp.c: Leasetime : 803A0900
155248104: dhcpc.app: dhcp.c: DNS Server : 192.168.0.1
155248106: dhcpc.app: dhcp.c: Server-ID : 192.168.0.1
155248108: dhcpc.app: dhcp.c: Router : 192.168.0.1
UDP sendto...
netdev look /dev/net_amdpcnet
netdev found /dev/net_amdpcnet
udp.c: Use bound device
Use NIF: /dev/net_amdpcnet
155248117: dhcpc.app: dhcp.c: Request packet sent...
0.0.0.0:68 ==>
<== 0.0.0.0:68
buffer: 407a40, len: 548
buffer: ae50414, len: 548 size: 548
udpsock.c: free data
155248130: dhcpc.app: dhcp.c: Use IP 192.168.0.102
155248132: dhcpc.app: dhcp.c: Use netmask 255.255.255.0
155248134: dhcpc.app: dhcp.c: Least time: -2143680256
155248136: dhcpc.app: dhcp.c: Use serverid 192.168.0.1
155248138: dhcpc.app: dhcp.c: Ignoring option 6
155248141: dhcpc.app: dhcp.c: Ignoring option 3
open.c: Redirect to socket close
close socket 0A367698
free socket 0A367698
dhcpc.app: DHCP Server contacted. Configuration:
dhcpc.app: Server IP : 0.0.0.0
dhcpc.app: Client IP : 192.168.0.102
dhcpc.app: Netmask : 255.255.255.0
dhcpc.app: Gatway IP : 0.0.0.0
dhcpc.app: DNS Server : 192.168.0.1
dhcpc.app: Router : 192.168.0.1
netdev look /dev/net_amdpcnet
netdev found /dev/net_amdpcnet
netdev look /dev/net_amdpcnet
netdev found /dev/net_amdpcnet
critical.c: remove user create critical section
dep.c: Remove DataExchangePort _dhcp_mutex_
memory.c: Memory summary for task dhcpc.app
memory.c: ===========================================
memory.c: Freed page tables : 8 (32 KB)
memory.c: Freed heap pages : 19 (76 KB)
memory.c: Freed/Still used rw data : 8KB / 2KB
memory.c: Freed stack pages : 0 (0 KB)
memory.c: Still used heap pages : -2 (-8192 KB)
memory.c: Still used user pages : -16 (-65536 KB)
memory.c: Free memory : 158908 KB
memory.c: Memory summary end.
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
155250576: login.app: Set to line: (9)
155250686: login.app: Set to line: (94)
155250796: login.app: Set to line: (948)
155250876: login.app: Set to line: (9481)
155251076: login.app: Set to line: (9481m)
155251417: login.app: Set to line: (9481m@)
155251656: login.app: Set to line: (9481m@r)
155251856: login.app: Set to line: (9481m@rt)
155252146: login.app: Set to line: (9481m@rt!)
155252326: login.app: Set to line: (9481m@rt!n)
sc.c: SecurityContext updated for login.app. (7FFFFFFF)
giwm.c: Destroy desktop
giwm.c: Destroy desktop done.
login.app: media.c: Unable to open as GIF
critical.c: remove user create critical section
critical.c: remove user create critical section
memory.c: Memory summary for task login.app
memory.c: ===========================================
memory.c: Freed page tables : 12 (48 KB)
memory.c: Freed heap pages : 2030 (8120 KB)
memory.c: Freed/Still used rw data : 8KB / 2KB
memory.c: Freed stack pages : 0 (0 KB)
memory.c: Still used heap pages : -2 (-8192 KB)
memory.c: Still used user pages : -16 (-65536 KB)
memory.c: Free memory : 167284 KB
memory.c: Memory summary end.
gimsg.c: Received signal while waiting for message
iss.app: Starting ISS service...
155260224: panel.app: winicon.c: IconParse() 1,2,4,8, 16bpp icons not supported
155260913: panel.app: got focus lost for 0069CDB8 007AD218 007AD080
155260916: panel.app: got focus lost for 0070EFB8 007AD218 007AD080
155261609: panel.app: got focus lost for 007AD080 007AEF00 007AED68
155261613: panel.app: got focus lost for 007AD218 007AEF00 007AED68
155261644: panel.app: got focus lost for 0070EE20 007AEF00 007AED68
155264664: panel.app: got focus lost for 007AED68 007B0C10 007B0A78
155264667: panel.app: got focus lost for 007AEF00 007B0C10 007B0A78
155264683: panel.app: got focus lost for 007AD218 007B0C10 007B0A78
155264691: panel.app: got focus lost for 0070EE20 007B0C10 007B0A78
155265617: panel.app: got focus lost for 007B0A78 007B2130 007B1F98
155265620: panel.app: got focus lost for 007B0C10 007B2130 007B1F98
155265645: panel.app: got focus lost for 007AEF00 007B2130 007B1F98
155265655: panel.app: got focus lost for 007AD218 007B2130 007B1F98
155265658: panel.app: got focus lost for 0070EE20 007B2130 007B1F98
zsnes.app:

zsnes.app: ZSNES v1.36 (c) 1997-2002, ZSNES Team (zsKnight & _Demo_)

zsnes.app:

zsnes.app: Be sure to check http://www.zsnes.com/ [^] for the latest version.

zsnes.app: Please report crashes to zsnes-devel@lists.sourceforge.net.

zsnes.app:

zsnes.app: ZSNES is written by the ZSNES Team (See AUTHORS.TXT)

zsnes.app: ZSNES comes with ABSOLUTELY NO WARRANTY. This is free software,
zsnes.app:
and you are welcome to redistribute it under certain conditions;
zsnes.app:
please read 'LICENSE' thoroughly before using it.
zsnes.app:

zsnes.app:
Use ZSNES -? for command line definitions.

zsnes.app:

155267329: zsnes.app: 1
155267331: zsnes.app: home: /boot/home/admin
155267351: zsnes.app: 2
155267352: zsnes.app: 4
155267354: zsnes.app: 5
155267355: zsnes.app: 007C2FF9
155267356: zsnes.app: 007A99E0
mmfault.c: Invalid vma accessed from task zsnes.app
at 0x7c2000
mmfault.c: Address is in VMA range. How can this happen?
mmfault.c: Address: 007C2000 VMA: 20001000 - 2001A000
mmfault.c: Execute default exception handler...
**********************************************************************
Exception 0x0E occured.
Exception report follows:
Task zsnes.app with PID 35 caused this exception while running in user mode.
Last sent GI message: 170
Userstack located 00000000 - 7FFFFFF0, Kernel stack at 09040018 - 0905FC18
SBRK at 0x007B1000

Kernel modules:
0x0C82A000 - 0x0C83B000 /BOOT/SYSTEM/DRIVERS/VMWARE.DLD
0x0C5A5000 - 0x0C624000 /BOOT/SYSTEM/DRIVERS/BFS.DLD
0x0C68A000 - 0x0C6AD000 /BOOT/SYSTEM/DRIVERS/FIFOFS.DLD
0x0C725000 - 0x0C733000 /BOOT/SYSTEM/DRIVERS/PARALLEL.DLD
0x0C632000 - 0x0C653000 /BOOT/SYSTEM/DRIVERS/DEVICEFS.DLD
0x0C70C000 - 0x0C725000 /BOOT/SYSTEM/DRIVERS/NVIDIA.DLD
0x0C7D9000 - 0x0C7FC000 /BOOT/SYSTEM/DRIVERS/UMFS.DLD
0x0C742000 - 0x0C769000 /BOOT/SYSTEM/DRIVERS/PTY.DLD
0x0C6EF000 - 0x0C6FD000 /BOOT/SYSTEM/DRIVERS/VMT.DLD
0x0C6DD000 - 0x0C6EF000 /BOOT/SYSTEM/DRIVERS/MACH64.DLD
0x0C79B000 - 0x0C7AB000 /BOOT/SYSTEM/DRIVERS/SB.DLD
0x0C6CE000 - 0x0C6DD000 /BOOT/SYSTEM/DRIVERS/LO.DLD
0x0C577000 - 0x0C588000 /BOOT/SYSTEM/DRIVERS/AMDPCNET.DLD
0x0C661000 - 0x0C677000 /BOOT/SYSTEM/DRIVERS/EMU1K.DLD
0x0C769000 - 0x0C77D000 /BOOT/SYSTEM/DRIVERS/RADEON.DLD
0x0C7FC000 - 0x0C80A000 /BOOT/SYSTEM/DRIVERS/VFSDEV.DLD
0x0C624000 - 0x0C632000 /BOOT/SYSTEM/DRIVERS/DEBUGL.DLD
0x0C566000 - 0x0C577000 /BOOT/SYSTEM/DRIVERS/AC97.DLD
0x0C81A000 - 0x0C82A000 /BOOT/SYSTEM/DRIVERS/VIARHINE.DLD
0x0C78B000 - 0x0C79B000 /BOOT/SYSTEM/DRIVERS/RTL8139.DLD
0x0C7BA000 - 0x0C7D9000 /BOOT/SYSTEM/DRIVERS/SNFS.DLD
0x0C733000 - 0x0C742000 /BOOT/SYSTEM/DRIVERS/PPP.DLD
0x0C7AB000 - 0x0C7BA000 /BOOT/SYSTEM/DRIVERS/SLIP.DLD
0x0C588000 - 0x0C5A5000 /BOOT/SYSTEM/DRIVERS/TCPIP.DLD
0x0C653000 - 0x0C661000 /BOOT/SYSTEM/DRIVERS/ELO.DLD
0x0C677000 - 0x0C68A000 /BOOT/SYSTEM/DRIVERS/ES1371.DLD
0x0C77D000 - 0x0C78B000 /BOOT/SYSTEM/DRIVERS/RAMDISK.DLD
0x0C6FD000 - 0x0C70C000 /BOOT/SYSTEM/DRIVERS/NULLBLK.DLD
0x0C6AD000 - 0x0C6CE000 /BOOT/SYSTEM/DRIVERS/LINUXVM.DLD
0x0C80A000 - 0x0C81A000 /BOOT/SYSTEM/DRIVERS/VIA82XX.DLD
 
Virtual memory regions:
Start End Offset Protection Module (Phys)
===================================================================
00401000 00695000 (0CECD000) RWX /boot/programs/zsnes/zsnes.app (0CECC000)
00695000 00699000 (0D161000) R-X /boot/programs/zsnes/zsnes.app (0CECC000)
00699000 00766000 (00000000) RWX /boot/programs/zsnes/zsnes.app (0CECC000)
00766000 00767000 (0D232000) RWX /boot/programs/zsnes/zsnes.app (0CECC000)
00768000 007B1000 (00000000) RWX Unknown (00000000)
20001000 2001A000 (0C3E0000) R-X /boot/system/dll/libsky.dll (0C3DF000)
2001A000 2001B000 (0C3F9000) RWX /boot/system/dll/libsky.dll (0C3DF000)
2001B000 2001E000 (0C3FA000) R-X /boot/system/dll/libsky.dll (0C3DF000)
2001E000 20020000 (00000000) RWX /boot/system/dll/libsky.dll (0C3DF000)
20020000 20023000 (0C3FF000) R-X /boot/system/dll/libsky.dll (0C3DF000)
20023000 20024000 (0C402000) RWX /boot/system/dll/libsky.dll (0C3DF000)
2FF01000 2FF07000 (0C4DB000) R-X /boot/system/dll/libregex.dll (0C4DA000)
2FF07000 2FF08000 (0C4E1000) RWX /boot/system/dll/libregex.dll (0C4DA000)
2FF08000 2FF09000 (0C4E2000) R-X /boot/system/dll/libregex.dll (0C4DA000)
2FF09000 2FF0A000 (00000000) RWX /boot/system/dll/libregex.dll (0C4DA000)
2FF0A000 2FF0B000 (0C4E4000) R-X /boot/system/dll/libregex.dll (0C4DA000)
2FF0B000 2FF0C000 (0C4E5000) RWX /boot/system/dll/libregex.dll (0C4DA000)
30001000 3005F000 (0C434000) R-X /boot/system/dll/libskygi.dll (0C433000)
3005F000 30062000 (0C492000) RWX /boot/system/dll/libskygi.dll (0C433000)
30062000 3006B000 (0C495000) R-X /boot/system/dll/libskygi.dll (0C433000)
3006B000 3006E000 (00000000) RWX /boot/system/dll/libskygi.dll (0C433000)
3006E000 30073000 (0C4A1000) R-X /boot/system/dll/libskygi.dll (0C433000)
30073000 30077000 (0C4A6000) RWX /boot/system/dll/libskygi.dll (0C433000)
35001000 35004000 (0C406000) R-X /boot/system/dll/libini.dll (0C405000)
35004000 35005000 (0C409000) RWX /boot/system/dll/libini.dll (0C405000)
36001000 36002000 (0C3D8000) R-X /boot/system/dll/libenc.dll (0C3D7000)
36002000 36003000 (0C3D9000) RWX /boot/system/dll/libenc.dll (0C3D7000)
36003000 36005000 (0C3DA000) R-X /boot/system/dll/libenc.dll (0C3D7000)
36005000 36006000 (0C3DC000) RWX /boot/system/dll/libenc.dll (0C3D7000)
3B001000 3B006000 (0C4E9000) R-X /boot/system/themes/plugin/windui/windui.dll (0C4E8000)
3B006000 3B007000 (0C4EE000) RWX /boot/system/themes/plugin/windui/windui.dll (0C4E8000)
3B007000 3B009000 (0C4EF000) R-X /boot/system/themes/plugin/windui/windui.dll (0C4E8000)
3B009000 3B00A000 (00000000) RWX /boot/system/themes/plugin/windui/windui.dll (0C4E8000)
3B00A000 3B00B000 (0C4F2000) R-X /boot/system/themes/plugin/windui/windui.dll (0C4E8000)
3B00B000 3B00C000 (0C4F3000) RWX /boot/system/themes/plugin/windui/windui.dll (0C4E8000)
40001000 40004000 (0C40D000) R-X /boot/system/dll/librsm.dll (0C40C000)
40004000 40005000 (00000000) RWX /boot/system/dll/librsm.dll (0C40C000)
40005000 40006000 (0C411000) R-X /boot/system/dll/librsm.dll (0C40C000)
40006000 40007000 (0C412000) RWX /boot/system/dll/librsm.dll (0C40C000)
45001000 45003000 (0C416000) R-X /boot/system/dll/libuser.dll (0C415000)
45003000 45005000 (0C418000) RWX /boot/system/dll/libuser.dll (0C415000)
45005000 45007000 (0C41A000) R-X /boot/system/dll/libuser.dll (0C415000)
45007000 45008000 (0C41C000) RWX /boot/system/dll/libuser.dll (0C415000)
48001000 48023000 (0C4AD000) R-X /boot/system/dll/ft2-1-4.dll (0C4AC000)
48023000 48024000 (0C4CF000) RWX /boot/system/dll/ft2-1-4.dll (0C4AC000)
48024000 4802B000 (0C4D0000) R-X /boot/system/dll/ft2-1-4.dll (0C4AC000)
4802B000 4802C000 (0C4D7000) RWX /boot/system/dll/ft2-1-4.dll (0C4AC000)
50001000 5000B000 (0C063000) R-X /boot/system/dll/libnet.dll (0C062000)
5000B000 5000C000 (0C06D000) RWX /boot/system/dll/libnet.dll (0C062000)
5000C000 5000F000 (0C06E000) R-X /boot/system/dll/libnet.dll (0C062000)
5000F000 50010000 (00000000) RWX /boot/system/dll/libnet.dll (0C062000)
50010000 50011000 (0C072000) R-X /boot/system/dll/libnet.dll (0C062000)
50011000 50012000 (0C073000) RWX /boot/system/dll/libnet.dll (0C062000)
7FFF0000 80000000 (00000000) RWX Unknown (00000000)
 
Important page entries:
Page table entry for CR2: 0x00000000
Page table entry for EIP: 0x09006025
Page table entry for ESP: 0x0943C067
 
Detailed processor status:
Error Code = 00000004, CR2 = 007C2FF9 Stack: 09040018
EAX = 00000000, EBX = 007B07A8, ECX = 00000008, EDX = 00000000
EFL = 00015246, ESI = 006998D9, EDI = 007A99E0, EBP = 7FFFFFF0
ESP = 7FFFDFBC, EIP = 004EFA2A
CS = 0023, DS = 002B, ES = 002B
FS = 002B, GS = 002B, SS = 002B
Page fault occured while task was in user mode
The page is not present and the task tried to read from this page


No kernel stack voilation occured..




User stack backtrace from 0x004EFA2A / 0x7FFFFFF0
User stack backtrace from 0x004EFA2A / 0x7FFFFFF0
<user: /boot/programs/zsnes/zsnes.app + 0x000EEA2A> 0x004EFA2A
<user: /boot/programs/zsnes/zsnes.app + 0x000EEA2A> 0x004EFA2A

Disassembling code at fault address (Virtual: 0x004EFA2A Physical: 0x09006A2A):
100000:09006A2A movsx eax,[<NULL>]
100000:09006A31 push eax
100000:09006A32 push <NULL>
100000:09006A37 call <NULL>
100000:09006A3C push edi
100000:09006A3D push <NULL>
100000:09006A42 movsx eax,[<NULL>]
100000:09006A49 push eax
100000:09006A4A push <NULL>
100000:09006A4F call <NULL>
100000:09006A54 add esp,392
100000:09006A57 cmp [<NULL>],1201760
100000:09006A5E jnz <NULL>
100000:09006A60 push <NULL>
100000:09006A65 call <NULL>
Memory at EIP (Virtual: 0x004EFA6A Physical: 0x09006A6A):
Memory dump at CR2 (Virtual: 0x007C2FF9 Physical: 0x00000000):
<invalid>

Exception report end.
trap.c: Killing this task...
**********************************************************************
critical.c: remove user create critical section
critical.c: remove user create critical section
memory.c: Memory summary for task zsnes.app
memory.c: ===========================================
memory.c: Freed page tables : 12 (48 KB)
memory.c: Freed heap pages : 300 (1200 KB)
memory.c: Freed/Still used rw data : 16KB / 4KB
memory.c: Freed stack pages : 0 (0 KB)
memory.c: Still used heap pages : -4 (-16384 KB)
memory.c: Still used user pages : -16 (-65536 KB)
memory.c: Free memory : 135440 KB
memory.c: Memory summary end.
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
192.168.0.102:1900 ==>
module.c: Unloading not used modules....
Tags No tags attached.
Environment
Reported for build
Fixed in build
VersionType
Attached Files

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2004-12-30 22:55 strestout_bugs New Issue
2005-01-07 23:21 robert Status new => acknowledged
2005-04-01 09:32 robert Status acknowledged => closed


Mantis 1.1.4[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker